import type { TypeBaseTableProps } from '../type';
export default function useAffix(props: TypeBaseTableProps): {
    showAffixHeader: import("@vue/composition-api").Ref<boolean>;
    showAffixFooter: import("@vue/composition-api").Ref<boolean>;
    showAffixPagination: import("@vue/composition-api").Ref<boolean>;
    affixHeaderRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    affixFooterRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    horizontalScrollbarRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    paginationRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    onHorizontalScroll: (scrollElement?: HTMLElement) => void;
    setTableContentRef: (tableContent: HTMLDivElement) => void;
    updateAffixHeaderOrFooter: () => void;
};
